//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace nispi
{
    class CountryIndexTabMain
    {
        public TextBox textSearch = null;
        public CountryIndexView countryIndexView = null;
        public CountryIndexView japanIndexView = null;

        public CountryIndexTabMain()
        {
            countryIndexView = new CountryIndexView();
            countryIndexView.Name = "kokkaindex";
            countryIndexView.countryIndexControls.tabPageExParts.Text = "世界  ";
            countryIndexView.countryIndexControls.tabPageExParts.ImageIndex = 1;

            japanIndexView = new CountryIndexView();
            japanIndexView.Name = "japan";
            japanIndexView.countryIndexControls.tabPageExParts.Text = "日本  ";
            japanIndexView.countryIndexControls.tabPageExParts.ImageIndex = 0;

            Const.mapForm.CountryIndexTabControlParts.SelectedIndex = 0;

            this.countryIndexView.LoadKokkaListThread();

            this.japanIndexView.LoadKenListThread();


        }

        private void load_board_list(object sender, EventArgs e)
        {
            this.countryIndexView.LoadKokkaListThread();
            this.japanIndexView.LoadKenListThread();
        }

        private void load_favorite_board_list(object sender, EventArgs e)
        {
            this.countryIndexView.LoadKokkaListThread();
        }
        private void search(object sender, EventArgs e)
        {
            ;
        }
    }
}
